Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class VnicIPSettings

    java.lang.Object
      org.ow2.jasmine.vmm.api.VnicIPSettings

    public class VnicIPSettings

extends java.lang.Object

This class defines the IP settings of a virtual NIC attached to a VM

Nested Class Summary
`static class` | `VnicIPSettings.IpAssignmentMode`

Constructor Summary
`VnicIPSettings()` Constructs an instance of VnicIPSettings
`VnicIPSettings(VnicIPSettings other)` Constructs an instance initialized with the settings of another VnicIPSettings instance

Method Summary
`java.lang.String` | `getGateway()` Returns the gateway
`java.lang.String` | `getIpAddress()` Returns the IP address
`VnicIPSettings.IpAssignmentMode` | `getIpAssignmentMode()` Returns the IP assignement mode of the NIC associated with this instance
`java.lang.String` | `getSubnetMask()` Returns the subnet mask
`void` | `setGateway(java.lang.String gateway)` Sets the gateway
`void` | `setIpAddress(java.lang.String ipAddress)` Sets the IP address of the NIC associated with this instance
`void` | `setIpAssignmentMode(VnicIPSettings.IpAssignmentMode ipAssignmentMode)` Sets the the IP assignment mode of the NIC associated with this instance
`void` | `setSubnetMask(java.lang.String subnetMask)` Sets the subnet mask
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VnicIPSettings

    public VnicIPSettings()

  Constructs an instance of VnicIPSettings

### VnicIPSettings

    public VnicIPSettings(VnicIPSettings other)

  Constructs an instance initialized with the settings of another VnicIPSettings instance

  Parameters:
    `other` - the instance whose settings are copied into the new instance

Method Detail

### getSubnetMask

    public java.lang.String getSubnetMask()

  Returns the subnet mask

  Returns:
    the subnet mask

### setSubnetMask

    public void setSubnetMask(java.lang.String subnetMask)

  Sets the subnet mask

  Parameters:
    `subnetMask` - the given subnet mask

### getGateway

    public java.lang.String getGateway()

  Returns the gateway

  Returns:
    the gateway of the NIC associated with these settings

### setGateway

    public void setGateway(java.lang.String gateway)

  Sets the gateway

  Parameters:
    `gateway` - the given gateway

### getIpAddress

    public java.lang.String getIpAddress()

  Returns the IP address

  Returns:
    the IP address of the NIC associated with these settings

### setIpAddress

    public void setIpAddress(java.lang.String ipAddress)

  Sets the IP address of the NIC associated with this instance

  Parameters:
    `ipAddress` - the given IP address

### getIpAssignmentMode

    public VnicIPSettings.IpAssignmentMode getIpAssignmentMode()

  Returns the IP assignement mode of the NIC associated with this instance

  Returns:
    the IP assignment mode

### setIpAssignmentMode

    public void setIpAssignmentMode(VnicIPSettings.IpAssignmentMode ipAssignmentMode)

  Sets the the IP assignment mode of the NIC associated with this instance

  Parameters:
    `ipAssignmentMode` - the given IP assignment mode

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 OW2 Consortium. All Rights Reserved.